VERSION 2.00
Begin Form frmMain 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Toolbox On Top"
   ClientHeight    =   660
   ClientLeft      =   1470
   ClientTop       =   2280
   ClientWidth     =   2610
   Height          =   1065
   Icon            =   FRMMAIN.FRX:0000
   Left            =   1410
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   660
   ScaleWidth      =   2610
   Top             =   1935
   Width           =   2730
   WindowState     =   1  'Minimized
   Begin MsgHook MsgHook 
      Left            =   120
      Top             =   120
   End
End
Option Explicit

Sub Form_Load ()
  '
  ' Build System Menu
  '
  SysMenuBuild
  '
  ' Setup MsgHook Control
  '
  MsgHook.HwndHook = Me.hWnd
  MsgHook.Message(WM_QUERYOPEN) = True
  MsgHook.Message(WM_SYSCOMMAND) = True
End Sub

Sub Form_Unload (Cancel As Integer)
  '
  ' Restore toolbox state upon exit
  '
  Dim r As Integer
  r = WindowOnTop("ToolsPalette", "", False)
  r = WindowOnTop("wndclass_pbrs", "", False)
  r = WindowOnTop("PROJECT", "", False)
End Sub

Sub MsgHook_Message (msg As Integer, wParam As Integer, lParam As Long, action As Integer, result As Long)
  Select Case msg
    Case WM_QUERYOPEN
      '
      ' Prevents form from becoming un-minimized
      '
      action = 1
      result = False
    Case WM_SYSCOMMAND
      '
      ' Process system menu commands
      '
      Select Case wParam
        Case SM_TOOLBOX
          '
          ' Toggle Toolbox on Top setting
          '
          ToggleWindowStatus wParam, "ToolsPalette", "", SMT_TOOLBOX
        Case SM_PROP
          '
          ' Toggle Project Box on Top setting
          '
          ToggleWindowStatus wParam, "wndclass_pbrs", "", SMT_PROP
        Case SM_PROJECT
          '
          ' Toggle Project Box on Top setting
          '
          ToggleWindowStatus wParam, "PROJECT", "", SMT_PROJECT
        Case SM_BOXES
          '
          ' Toggle this application's on Top setting
          '
          ToggleWindowStatus wParam, "", CStr(frmMain.Caption), SMT_BOXES
        Case SM_ABOUT
          '
          ' Show About Form
          '
          frmAbout.Show 1
        Case Else
          '
          ' pass other messages through
          '
      End Select
  End Select
End Sub

