{$DEFINE INTCONST_SECTION}
{$DEFINE INTTYPE_SECTION}
{$DEFINE INTVAR_SECTION}
{$DEFINE IMPCONST_SECTION}
{$DEFINE IMPTYPE_SECTION}
{$DEFINE IMP_SECTION}
{$DEFINE INIT_SECTION}

UNIT SafeStr;

{ :::::::::::::::::::::::::::::::::::::::::::::::::::::: }

INTERFACE

uses

   Objects,
   Strings,
   WinProcs,
   WinTypes;


{ :::::::::::::::::::::::::::::::::::::::::::::::::::::: }

   FUNCTION SafeStrLen(Source: PChar) : WORD;
   FUNCTION SafeStrNumComp(S1,S2: PChar) : INTEGER;
   FUNCTION SafeStrIComp(S1,S2: PChar) : INTEGER;
   FUNCTION SafeStrLIComp(S1, S2 : PChar; Length : Word) : Integer;
   FUNCTION SafeStrCopy(Dest,Source: PChar) : PChar;
   FUNCTION StrStrip(Dest,Source: PChar) : PChar;
   FUNCTION SafeStrUpper(Source: PChar) : PChar;
   FUNCTION SafeChPos(Source : PChar; Ch : CHAR) : WORD;
   FUNCTION SafeChInsert(Source : PChar; Ch : CHAR; Pos : WORD) : PChar;
   FUNCTION SafeStrInsert(Source,NewStr : PChar; Pos : WORD) : PChar;
   FUNCTION SafeStrMid(Dest,Source : PChar; Start,Count : WORD) : PChar;
   FUNCTION SafeStrDelete(Source : PChar; Start,Count : WORD) : PChar;

{ :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }

IMPLEMENTATION

{ :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }

{$I SAFESTR.P01}

{ ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }

BEGIN
END.

